package com.jxy.marketall.enums;

/**
 * @Description 接口名枚举类
 * @Date 2022/5/20 11:15
 * @Author 杜懿
 */
public enum ReqIntetfaceType {

    COINMETRICS("0", "coinmetrics"),
    NDAQ("1", "NDAQ"),
    PRICE("2", "price"),
    TRANSRATE("3", "transrate"),
    TRANSACTIONS("4", "transactions"),
    TRANSSIZEMEAN("5", "transsizemean"),
    TRANSSIZETOTAL("6", "transsizetotal"),
    ETF("7", "ETF"),
    TOTALADDRESS("8", "total_address"),
    NEWADDRESS("9", "new_address"),
    ACTIVEADDRESS("10", "active_address"),
    SENDINGADDRESS("11", "sending_address"),
    RECEIVINGADDRESS("12", "receiving_address"),
    OHLCPRICE("13", "OHLCPrice"),
    MARKET("14", "market"),
    DISTRIBUTION("15", "distribution"),
    DERIVATIVES("16", "derivatives");

    private final String code;
    private final String info;

    ReqIntetfaceType(String code, String info)
    {
        this.code = code;
        this.info = info;
    }

    public String getCode()
    {
        return code;
    }

    public String getInfo()
    {
        return info;
    }

}
